turnedOn = false

function init()
    nes = FindShape("console")
    tv = FindScreen("tv")
    cable = FindJoint("cable")
    cableGamepad = FindJoint("cableGamepad")
    gamepad = FindShape("gamepad")
    SetTag(nes,'interact',"Turn ON")
end

function tick()
    if GetPlayerInteractShape() == nes and InputPressed("interact") then
        turnedOn = not turnedOn
        if turnedOn then
            SetBool("Reset", true)
            SetTag(nes,'interact',"Turn OFF")
        else
            SetTag(nes,'interact',"Turn ON")
        end
    end

    if IsShapeBroken(nes) or IsJointBroken(cable) then
        RemoveTag(nes,'interact')
        turnedOn = false
    end

    if turnedOn ~= IsScreenEnabled(tv) then
        SetScreenEnabled(tv, turnedOn)
    end

end

function draw()
    if not IsShapeBroken(gamepad) and not IsJointBroken(cableGamepad) then
        SetBool("gameboy.controller.keys.left.down", InputDown("leftarrow"))
        SetBool("gameboy.controller.keys.up.down", InputDown("uparrow"))
        SetBool("gameboy.controller.keys.right.down", InputDown("rightarrow"))
        SetBool("gameboy.controller.keys.down.down", InputDown("downarrow"))
        SetBool("gameboy.controller.keys.start.down", InputDown("return"))
        SetBool("gameboy.controller.keys.select.down", InputDown("shift"))
        SetBool("gameboy.controller.keys.a.down", InputDown(","))
        SetBool("gameboy.controller.keys.b.down", InputDown("."))
        SetBool("gameboy.controller.keys.left", InputPressed("leftarrow"))
        SetBool("gameboy.controller.keys.up", InputPressed("uparrow"))
        SetBool("gameboy.controller.keys.right", InputPressed("rightarrow"))
        SetBool("gameboy.controller.keys.down", InputPressed("downarrow"))
        SetBool("gameboy.controller.keys.start", InputPressed("return"))
        SetBool("gameboy.controller.keys.select", InputPressed("shift"))
        SetBool("gameboy.controller.keys.a", InputPressed(","))
        SetBool("gameboy.controller.keys.b", InputPressed("."))
    end
end